DPDK CI discussions
 help / color / mirror / Atom feed
* [dpdk-ci] [PATCH] tests: run checkpatches.sh from the DPDK directory
@ 2021-09-08 15:19 Ali Alnubani
  2021-09-09  8:31 ` David Marchand
  0 siblings, 1 reply; 3+ messages in thread
From: Ali Alnubani @ 2021-09-08 15:19 UTC (permalink / raw)
  To: ci; +Cc: thomas, david.marchand

The unit test check_release_notes was failing because it didn't
find some of the DPDK sources, which has been causing the CI
script checkpatch.sh to sometimes report false positives.

Signed-off-by: Ali Alnubani <alialnu@nvidia.com>
---
 tests/checkpatch.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/checkpatch.sh b/tests/checkpatch.sh
index 0ce5414..2034e32 100755
--- a/tests/checkpatch.sh
+++ b/tests/checkpatch.sh
@@ -43,7 +43,7 @@ if echo $subject | grep -qi 'v[2-9].*\]' && [ -z "$reply" ] ; then
 	replyto_msg='Must be a reply to the first patch (--in-reply-to).\n\n'
 fi
 
-report=$($dpdkdir/devtools/checkpatches.sh -q $email) || failed=true
+report=$(cd $dpdkdir && devtools/checkpatches.sh -q $email) || failed=true
 report=$(echo "$report" | sed '1,/^###/d')
 
 label='checkpatch'
-- 
2.25.1


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-09-09 14:47 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-09-08 15:19 [dpdk-ci] [PATCH] tests: run checkpatches.sh from the DPDK directory Ali Alnubani
2021-09-09  8:31 ` David Marchand
2021-09-09 14:47   ` Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).